/* include/video/ssd1906fb.h
 *
 * (c) 2009 Kuba Odias <kuba.odias@gmail.com>
 *
 * Header file for Solomon Systech Limited SSD1963 driver code
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License. See the file COPYING in the main directory of this archive for
 * more details.
 */

#ifndef	INT070ATFT_TS_FB_H_
#define	INT070ATFT_TS_FB_H_

// -----------------------------------------------------------------------------
#define INT070ATFT_FBID			"INT070ATFT"
#define INT070ATFT_DEVNAME		"int070atftfb"

// -----------------------------------------------------------------------------
#define TFT_MAX_COLS			800
#define TFT_MAX_ROWS			480
#define TFT_MAX_BPP				16

// adresa prvniho (SC) a posledniho (EC) sloupce
#define TFT_SC					0x0000
#define TFT_EC					(TFT_MAX_COLS - 1)
// adresa prvni (SP) a posledni (EC) stranky
#define TFT_SP					0x0000
#define TFT_EP					(TFT_MAX_ROWS - 1)

// -----------------------------------------------------------------------------
// ovlivnuje vykonnost ostatnich aplikaci. Je treba volit mezi plynulejsim
// prekreslovanim (nizsi cislo) a volnym vykonem CPU (vyssi cislo)
#define TFT_REFRESH_PERIOD		30	// ms

// -----------------------------------------------------------------------------
#define AT91_PIOC_BASE			(AT91_PIOC + AT91_BASE_SYS)
#define	AT91_PIOC_SIZE			512

// -----------------------------------------------------------------------------
// ridici signaly TFT - prirazeni pinu
#define TFT_nCS						AT91_PIN_PC8
#define TFT_DC						AT91_PIN_PC9
#define TFT_nRD						AT91_PIN_PC10
#define TFT_nWR						AT91_PIN_PC11

// ridici signaly LCD - maska do registru
#define TFT_nCS_PIN_MASK			(1 << 8)
#define TFT_DC_PIN_MASK				(1 << 9)
#define TFT_nRD_PIN_MASK			(1 << 10)
#define TFT_nWR_PIN_MASK			(1 << 11)
// PC16 - PC31 / 16bit data bus
#define TFT_DB0_DB15_PIN_MASK		0xFFFF0000

#define TFT_CTRL_PINS_MASK			\
	(TFT_nCS_PIN_MASK | TFT_DC_PIN_MASK | TFT_nRD_PIN_MASK | TFT_nWR_PIN_MASK)

// -----------------------------------------------------------------------------

#endif

